#include <iostream>
#include <algorithm>

using namespace std;

int main () {
	long long int x1, x2, y1, y2;
	int broj_kvadrata = 0;
	
	scanf("%lld%lld%lld%lld", &x1, &y1, &x2, &y2);
	
	if (x1 == x2) { //data je vertikalna stranica 
		broj_kvadrata = 2;
	} else if (y1 == y2) { //data je horizontalna stranica
		broj_kvadrata = 2;
	} else { //data je dijegonala
		broj_kvadrata = 1;
	}
	
	printf("%d", broj_kvadrata);
	
	return 0;
}